V1.0
post
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/unlockvisits
API unlocks all visit records associated with the specified subject, based on the provided subject ID. This endpoint is used to remove visit-level locks, allowing updates and data entry for all visits of the selected subject within a clinical study.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A834DE46BBFA4737B98EFF1087A26DEA -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A8BAB123BAC4410B9AB0137E6C889821
Supported Media Types
- application/json
Root Schema : schema
Type:
objectUnlock DTO for unlocking all visits/items for a subject, except subject-level. All fields are optional.
Show Source
-
comment: string
Additional comment or context for the unlock request.Example:
Unlocking all visits except main subject lock due to CRA request. -
reason: string
Reason for requesting this unlock.Example:
Other. -
siteId: string
(UUID)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
b123fe17aac4410b9ab0137e6c88981a -
userId: string
(UUID)
Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
91d1b34ed1904d8499844159776b2fd7
Examples
Back to Top
Response
Supported Media Types
- application/json
202 Response
Accepted - unlock starts (no response body for this API).
400 Response
Bad_Request
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.